<?php

/**
 * Theme: Classic.
 *
 * @link    https://plugins360.com
 * @since   1.0.0
 *
 * @package Automatic_YouTube_Gallery
 */

$player_ratio = ! empty( $attributes['player_ratio'] ) ? (float) $attributes['player_ratio'] : '56.25';

$params = array(
    'uid'            => sanitize_text_field( $attributes['uid'] ),
    'autoplay'       => (int) $attributes['autoplay'],
    'loop'           => (int) $attributes['loop'],
    'controls'       => (int) $attributes['controls'],
    'modestbranding' => (int) $attributes['modestbranding'],
    'cc_load_policy' => (int) $attributes['cc_load_policy'],
    'iv_load_policy' => (int) $attributes['iv_load_policy'],
    'hl'             => sanitize_text_field( $attributes['hl'] ),
    'cc_lang_pref'   => sanitize_text_field( $attributes['cc_lang_pref'] )
);

$featured = $videos[0]; // Featured Video

$featured_iframe_src = 'about:blank';
if ( defined( 'REST_REQUEST' ) && REST_REQUEST ) {
    $featured_iframe_src = 'https://www.youtube.com/embed/' . $featured->id;
}
?>

<div id="ayg-<?php echo esc_attr( $attributes['uid'] ); ?>" class="ayg ayg-theme-single" data-params='<?php echo wp_json_encode( $params ); ?>'>
    <!-- Player -->
    <div class="ayg-player">
        <div class="ayg-player-wrapper" style="padding-bottom: <?php echo (float) $player_ratio; ?>%;">
            <?php
            $image_src = 'none';
        
            if ( isset( $video->thumbnails->default ) ) {
                $image_src = $video->thumbnails->default->url;
            }
        
            // 4:3 ( default - 120x90, high - 480x360, standard - 640x480 )
            if ( 75 == (int) $attributes['player_ratio'] ) {
                if ( isset( $video->thumbnails->high ) ) {
                    $image_src = $video->thumbnails->high->url;
                }
            }
        
            // 16:9 ( medium - 320x180, maxres - 1280x720 )
            if ( 56.25 == (float) $attributes['player_ratio'] ) {
                if ( isset( $video->thumbnails->medium ) ) {
                    $image_src = $video->thumbnails->medium->url;
                }
            } 
            ?>
            <iframe id="ayg-player-<?php echo esc_attr( $attributes['uid'] ); ?>" class="ayg-player-iframe" width="100%" height="100%" src="<?php echo esc_attr( $featured_iframe_src ); ?>" data-id="<?php echo esc_attr( $featured->id ); ?>" data-image="<?php echo esc_attr( $image_src ); ?>" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        </div>

        <div class="ayg-player-caption">
            <?php if ( ! empty( $attributes['player_title'] ) ) : ?>    
                <h2 class="ayg-player-title"><?php echo esc_html( $featured->title ); ?></h2>  
            <?php endif; ?>

            <?php if ( ! empty( $attributes['player_description'] ) && ! empty( $featured->description ) ) : ?>  
                <div class="ayg-player-description"><?php echo wp_kses_post( ayg_get_player_description( $featured ) ); ?></div>
            <?php endif; ?>
        </div>
    </div>
</div>
